﻿namespace Cs2dMapLib
{
    #pragma warning disable 1591 

    public enum Rotation { Up, Right, Down, Left };
    public enum Brightness { b_10 = 4, b_20 = 8, b_30 = 12, b_40 = 16, b_50 = 20, b_60 = 24, b_70 = 28, b_80 = 32, b_90 = 36, b_100 = 0}
    public enum ModifyType { None, Blend = 64, Color = 128 };
    public enum BlendType { LinearS, LinearH = 8, DirtS = 16, DirtH = 24, Grass = 32};
    public enum BlendRotate { r_0, r_45, r_90, r_135, r_180, r_225, r_270, r_315 };

    public enum TileMode { FloorSoundless, Wall, Obstacle, WallNoShadow, ObstacleNoShadow, FloorDirt = 10, FloorSnow, FloorStep, FloorTile, FloorWater, FloorMetal, FloorWood, DeadlyNormal = 50, DeadlyExplosion, DeadlyToxic, DeadlyAbyss };

    public enum EntityType { Info_T, Info_CT, Info_VIP, Info_Hostage, Info_RescuePoint, Info_BombSpot, Info_EscapePoint, Info_Animation = 8, Info_Storm, Info_TileFX, Info_NoBuying, Info_NoWeapons, Info_NoFOW, Info_Quake, Info_CTF_Flag, Info_OldRender, Info_Dom_Point, Info_NoBuildings, Info_BotNode, Info_TeamGate, Info_NoWeather = 80, Info_RadarIcon, Evn_Item = 21, Evn_Sprite, Evn_Sound, Evn_Decal, Evn_Breakable, Evn_Explode, Evn_Hurt, Evn_Image, Evn_Object, Evn_Building, Evn_NPC, Evn_Room, Evn_Light, Evn_LightStripe, Gen_Particles = 50, Gen_Sprites, Gen_Weather, Gen_FX, Func_Teleport = 70, Func_DynWall, Func_Message, Func_GameAction, Trigger_Start = 90, Trigger_Move, Trigger_Hit, Trigger_Use, Trigger_Delay, Trigger_Once, Trigger_If };
}
